Cyberduck Mountain Duck CLI

#2344 closed defect (fixed)

Bonjour "_ftp._tcp" protocol interpreted as SFTP server instead of FTP server.

Reported by: matt.stoker@… Owned by: dkocher
Priority: high Milestone: 3.0.2
Component: core Version: 3.0.1
Severity: normal Keywords: Bonjour MobileFinder
Cc: Architecture:
Platform:

Description

I'm the developer for MobileFinder, a file application for the iPhone. MobileFinder now has a built-in FTP server for easy file access to the iPhone's filesystem.

I've built MobileFinder to publish a Bonjour net service with the "_ftp_tcp." protocol, which is beautifully recognized in CD. Unfortunately, it is recognized as an SFTP server.

I run MobileFinder's FTP server on port 2121, because I cannot run my FTP server as root on the iPhone, and thus cannot use a 1-1023 service port. I think this is why MobileFinder's FTP server is being recognized as an SFTP server. I created a fake net service on port 21, and this resulted in CD recognizing an FTP server.

Is there something I can do on my end to get this to function correctly?

Change History (4)

comment:1 Changed on Jul 22, 2008 at 8:36:57 AM by dkocher

  • Priority changed from normal to high
  • Status changed from new to assigned

I will look into the issue and try to push it into 3.0.2.

comment:2 Changed on Jul 22, 2008 at 7:31:52 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r4121. Nightly build available shortly.

comment:3 Changed on Aug 13, 2008 at 5:32:21 PM by glaurent@…

I'm seeing a similar problem with iphone's DataCase application. While the Finder immediately picks the service when DataCase is launched (ftp service on port 2121), cyberduck does not. Actually it seems that 3.0.2 does not pick up any ftp services anymore, only sftp ones.

comment:4 Changed on Sep 8, 2008 at 1:38:12 PM by maarten@…

I downloaded the app. on my Iphone... tried to follow the instruction... but safari keeps telling me that it cannot download the file from cyberduck...Please get me instructions.

Note: See TracTickets for help on using tickets.
swiss made software